baz_hopper Class Reference

hop More...

`#include <baz_hopper.h>`

Inheritance diagram for baz_hopper:
[legend]

## Public Member Functions

| ~baz_hopper ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

BAZ_API baz_hopper_sptr | baz_make_hopper (size_t item_size, int sample_rate, int chunk_length, int drop_length, std::vector< std::vector< double > > freqs, ::gr::basic_block_sptr source, bool verbose)

## Detailed Description

hop

## Constructor & Destructor Documentation

## ~baz_hopper()

baz_hopper::~baz_hopper | ( |  | ) |

## Member Function Documentation

## forecast()

void baz_hopper::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int baz_hopper::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Function Documentation

## baz_make_hopper

BAZ_API baz_hopper_sptr baz_make_hopper | ( | size_t | item_size,
|  | int | sample_rate,
|  | int | chunk_length,
|  | int | drop_length,
|  | std::vector< std::vector< double > > | freqs,
|  | ::gr::basic_block_sptr | source,
|  | bool | verbose
| ) |  |

friend

The documentation for this class was generated from the following file:

- baz_hopper.h